Subject: Re: [PATCH 0/8] Cleanups around index operations

From: Derrick Stolee <[email-masked]>
Date: Wed, 30 Dec 2020 15:24:17 -0500

On 12/30/2020 3:19 PM, Elijah Newren wrote:
> On Wed, Dec 30, 2020 at 11:26 AM Derrick Stolee via GitGitGadget
> <[email-masked]> wrote:
>>
>> I've taken a professional interest in the index lately, and I've been trying
>> mostly to learn about it and measure different operations. Along the way,
>> I've seen some possible improvements in documentation, behavior, and
>> tracing.
>>
>> This series collects most of my thoughts so far, including:
>>
>>  1. Adding extra trace2 regions and statistics (similar to [1]) (Patches
>>     1-5).
>>  2. Update documentation about the cached tree extension (Patches 6-7).
>>  3. Removing an unnecessary loop from verify_cache() (Patch 8).
> 
> The series seems pretty simple and clean to me.  As I mentioned on
> patch 6, though, I don't know much about the cache-tree extension
> myself (I show up in blame/log due to moving a function there with
> just some slight tweaks), so it'd be nice if someone who does can take
> a look at the documentation added in patch 6.

Thanks for the quick review. And I've CC'd Junio since I forgot that
GitGitGadget no longer auto-CCs him.

Thanks,
-Stolee